## org.apache.commons.math.random
Class EmpiricalDistributionImpl.StreamDataAdapter

    java.lang.Object
      org.apache.commons.math.random.EmpiricalDistributionImpl.DataAdapter
          org.apache.commons.math.random.EmpiricalDistributionImpl.StreamDataAdapter

Enclosing class:
  EmpiricalDistributionImpl

    private class EmpiricalDistributionImpl.StreamDataAdapter

extends EmpiricalDistributionImpl.DataAdapter

`DataAdapter` for data provided through some input stream

Field Summary
`private java.io.BufferedReader` `inputStream` Input stream providng access to the data

Constructor Summary
`EmpiricalDistributionImpl.StreamDataAdapter(java.io.BufferedReader in)` Create a StreamDataAdapter from a BufferedReader

Method Summary
`void` `computeBinStats(double min, double delta)` Computes binStats
`void` `computeStats()` Computes sampleStats

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputStream

    private java.io.BufferedReader inputStream

  Input stream providng access to the data

Constructor Detail

### EmpiricalDistributionImpl.StreamDataAdapter

    public EmpiricalDistributionImpl.StreamDataAdapter(java.io.BufferedReader in)

  Create a StreamDataAdapter from a BufferedReader

  Parameters:
    `in` - BufferedReader input stream

Method Detail

### computeBinStats

    public void computeBinStats(double min,
                                double delta)
                         throws java.io.IOException

  Computes binStats

  Specified by:
    `computeBinStats` in class `EmpiricalDistributionImpl.DataAdapter`
  Parameters:
    `min` - minimum value
    `delta` - grid size
  Throws:
    `java.io.IOException` - if an IO error occurs

### computeStats

    public void computeStats()
                      throws java.io.IOException

  Computes sampleStats

  Specified by:
    `computeStats` in class `EmpiricalDistributionImpl.DataAdapter`
  Throws:
    `java.io.IOException` - if an IOError occurs

Copyright (c) 2003-2010 Apache Software Foundation